# Class SimpleAnnotationValueVisitor7<R,P>

java.lang.Object
javax.lang.model.util.AbstractAnnotationValueVisitor6<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor6<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor7<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods
  `P` - the type of the additional parameter to this visitor's methods.

All Implemented Interfaces:
  `AnnotationValueVisitor<R,P>`

Direct Known Subclasses:
  `SimpleAnnotationValueVisitor8`

@SupportedSourceVersion(RELEASE_7) public class SimpleAnnotationValueVisitor7<R,P> extends SimpleAnnotationValueVisitor6<R,P>
A simple visitor for annotation values with default behavior appropriate for the `RELEASE_7` source version. Visit methods call `defaultAction` passing their arguments to `defaultAction`'s corresponding parameters.

API Note:
  Methods in this class may be overridden subject to their general contract.
Since:
  1.7
See Also:
  - Compatibility note for subclasses
  - `SimpleAnnotationValueVisitor6`
  - `SimpleAnnotationValueVisitor8`
  - `SimpleAnnotationValueVisitor9`
  - `SimpleAnnotationValueVisitor14`

## Field Summary

### Fields declared in class javax.lang.model.util.SimpleAnnotationValueVisitor6

`DEFAULT_VALUE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SimpleAnnotationValueVisitor7()`
Deprecated.
Release 7 is obsolete; update to a visitor for a newer release level.
`protected`
`SimpleAnnotationValueVisitor7(R defaultValue)`
Deprecated.
Release 7 is obsolete; update to a visitor for a newer release level.

## Method Summary

### Methods declared in class javax.lang.model.util.SimpleAnnotationValueVisitor6

`defaultAction, visitAnnotation, visitArray, visitBoolean, visitByte, visitChar, visitDouble, visitEnumConstant, visitFloat, visitInt, visitLong, visitShort, visitString, visitType`

### Methods declared in class javax.lang.model.util.AbstractAnnotationValueVisitor6

`visit, visit, visitUnknown`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleAnnotationValueVisitor7

@Deprecated(since="12") protected SimpleAnnotationValueVisitor7()
Deprecated.
Release 7 is obsolete; update to a visitor for a newer release level.
Constructor for concrete subclasses; uses `null` for the default value.

### SimpleAnnotationValueVisitor7

@Deprecated(since="12") protected SimpleAnnotationValueVisitor7(R defaultValue)
Deprecated.
Release 7 is obsolete; update to a visitor for a newer release level.
Constructor for concrete subclasses; uses the argument for the default value.

Parameters:
  `defaultValue` - the value to assign to `SimpleAnnotationValueVisitor6.DEFAULT_VALUE`